質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
npm

npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

React Native

React Nativeは、ネイティブモバイルアプリ(iOS/Android)を作成できるJavaScriptフレームワークです。Reactと同じ設計のため、宣言的なコンポーネントでリッチなUIを開発することが可能です。

React.js

Reactは、アプリケーションのインターフェースを構築するためのオープンソースJavaScriptライブラリです。

受付中

styled-componentsをnpmでインストールする際にエラーが出てしまうので解決方法を知りたい

yu62ballena
yu62ballena

総合スコア0

npm

npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

React Native

React Nativeは、ネイティブモバイルアプリ(iOS/Android)を作成できるJavaScriptフレームワークです。Reactと同じ設計のため、宣言的なコンポーネントでリッチなUIを開発することが可能です。

React.js

Reactは、アプリケーションのインターフェースを構築するためのオープンソースJavaScriptライブラリです。

1回答

0評価

0クリップ

137閲覧

投稿2022/06/22 03:51

前提

Reactを使用し、HPを作成しようとしています。
CSSをstyled-componentsで当てたいので、
npm install --save styled-componentsのコマンドでイントールしようとしたところ
エラーが表示されてしまいます。

コマンドはnpx create-react-appでReactのフォルダを作成し、
そのフォルダに移動した直後に実行しています。

npm startコマンドでReactのロゴがくるくる回る画面が表示されるので、
React自体は立ち上がっているかと思います。

実現したいこと

stayled-componentsが利用できるようにしたい。

発生している問題・エラーメッセージ

npm install --save styled-componentsのコマンドを
VS Codeのターミナルから実行したところ
以下のメッセージが表示されます。

added 13 packages, and audited 1450 packages in 15s 194 packages are looking for funding run `npm fund` for details 6 high severity vulnerabilities To address all issues (including breaking changes), run: npm audit fix --force Run `npm audit` for details.

ちなみにここでnpm audit fix --forceを入力すると
以下のメッセージが表示されます。

up to date, audited 1450 packages in 11s 194 packages are looking for funding run `npm fund` for details # npm audit report nth-check <2.0.1 Severity: high Inefficient Regular Expression Complexity in nth-check - https://github.com/advisories/GHSA-rp65-9cf3-cjxr fix available via `npm audit fix --force` Will install react-scripts@2.1.3, which is a breaking change node_modules/svgo/node_modules/nth-check css-select <=3.1.0 Depends on vulnerable versions of nth-check node_modules/svgo/node_modules/css-select svgo 1.0.0 - 1.3.2 Depends on vulnerable versions of css-select node_modules/svgo @svgr/plugin-svgo <=5.5.0 Depends on vulnerable versions of svgo node_modules/@svgr/plugin-svgo @svgr/webpack 4.0.0 - 5.5.0 Depends on vulnerable versions of @svgr/plugin-svgo node_modules/@svgr/webpack react-scripts >=2.1.4 Depends on vulnerable versions of @svgr/webpack node_modules/react-scripts 6 high severity vulnerabilities To address all issues (including breaking changes), run: npm audit fix --force

余談ですがReact Routerを
npm install --save react-router-domでインストールしようとしても
同様のメッセージが表示されました。

試したこと

実はstyled-components自体は一度インストール出来ました。

上の項目の最後に記載したReact Routerのインストールを試した際に
上記のエラーメッセージが出現し、それまで作っていたサイトもエラーで表示されなくなってしまったため、
それまで作っていたReactのフォルダを一度削除し、
新しくcreate-react-appコマンドで同名のフォルダを作成しました。

その後、styled-componentsのインストールの際に
ここで記載した表示が出るようになりました。

中身のモジュール?のバージョンかなにかのせいで
脆弱性がありますようというような内容なのはなんとなくわかりますが、
それを解決するための方法がわからない状態です。

補足情報(FW/ツールのバージョンなど)

PCはMacBook Pro 2016年のモデルで、
OSはmacOS Monterey バージョン 12.4です。

使用しているエディタはVS Codeで
各コマンドはVS Codeのターミナルから入力しました。

ReactというかJavascript自体、
かなり初心者なところがあります。
初歩的な質問なんだとは思いますが、手助けいただけるとありがたいです。

よろしくお願いします。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

npm

npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

React Native

React Nativeは、ネイティブモバイルアプリ(iOS/Android)を作成できるJavaScriptフレームワークです。Reactと同じ設計のため、宣言的なコンポーネントでリッチなUIを開発することが可能です。

React.js

Reactは、アプリケーションのインターフェースを構築するためのオープンソースJavaScriptライブラリです。